/**
 * 
 */
package org.gcube.portlets.user.td.client.toolbar;

import com.google.web.bindery.event.shared.EventBus;
import com.sencha.gxt.widget.core.client.TabPanel;
import com.sencha.gxt.widget.core.client.container.VerticalLayoutContainer;
import com.sencha.gxt.widget.core.client.container.VerticalLayoutContainer.VerticalLayoutData;

/**
 * 
 * @author "Giancarlo Panichi" 
 * <a href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a> 
 *
 */
public class TabularDataTooBar {
	
	protected TabPanel container;
	protected EditingToolBar editingToolBar;
	protected AnalysisToolBar analysisToolBar;
	
	public TabularDataTooBar(EventBus eventBus)
	{
		container = new TabPanel();
		
		editingToolBar = new EditingToolBar(eventBus);
		VerticalLayoutContainer con = new VerticalLayoutContainer();
		con.add(editingToolBar.getToolBar(),  new VerticalLayoutData(1, -1));
		container.add(con, "Editing");
		
		analysisToolBar = new AnalysisToolBar();
		con = new VerticalLayoutContainer();
		con.add(analysisToolBar.getToolBar(),  new VerticalLayoutData(1, -1));
		container.add(con, "Analysis");
		
	}

	/**
	 * @return the container
	 */
	public TabPanel getContainer() {
		return container;
	}
	

}
